package TiVo::ServerId::Series;

use strict;
use base qw(TiVo::ServerId);

our $VERSION =
    (split / /, q$Id: Series.pm,v 1.2 2001/12/02 11:01:40 grant Exp $)[2];

my $sidbase    = 200_000_000;   # regular series id
my $sidpidbase = 210_000_000;   # series id made from program id
                                # (for a program with no series)

sub new {
    my $class = shift;
    my $value = shift;
    my %options = {
                   from_program => 0,
                   @_,
                  };
    my $self = $class->SUPER::new($value);
    if ($options{from_program}) {
        $self->_base($sidpidbase);
    }
    else {
        $self->_base($sidbase);
    }
    return $self;
}

1;
